/*________________________________________________________________________________________*\

    File:        pic32_audio_test_cli.h

    Author:      M.J.Bauer

    Header file for PIC32 Audio Synth Test App. command-line interface (CLI).
\*________________________________________________________________________________________*/

#ifndef  _PIC32_AUDIO_TEST_CLI_H_
#define  _PIC32_AUDIO_TEST_CLI_H_

#include "system_def.h"
#include "console_cli.h"

extern char  *g_AppTitleCLI;     // Title string output by "ver" command


// ----------  Application-Specific CLI commands  -----------
//
void    Cmnd_eeprom( int argCount, char * argValue[] );
void    Cmnd_info( int argCount, char * argValue[] );
void    Cmnd_sound( int argCount, char * argValue[] );
void    Cmnd_util(int argCount, char *argValue[]);
void    Cmnd_trace( int argCount, char * argValue[] );


#endif  // _PIC32_AUDIO_TEST_CLI_H_
