/****************************************************************************************
 *
 * FileName:   main_lcd_graphics_demo.h
 *
 * File contains build options and particular def's for the application.
 * See also: "HardwareProfile.h"
 *
 * =======================================================================================
 */
#ifndef _MAIN_APP_H
#define _MAIN_APP_H

// Symbol must be defined in Project Properties / GCC / Preprocessor macros...
#ifndef BUILD_LCD_GRAPHICS_DEMO
#error "Symbol BUILD_LCD_GRAPHICS_DEMO must be defined for this project!"
#endif

#include "system_def.h"
#include "console.h"
#include "keypad_4wire.h"
#include "LCD_graphics_lib.h"
#include "gfx_image_data.h"


// =======================================================================================
//                       FIRMWARE VERSION NUMBER AND BUILD OPTIONS
//
#define BUILD_VER_MAJOR   1
#define BUILD_VER_MINOR   3
#define BUILD_VER_DEBUG   1
//
// =======================================================================================


void  SystemHeartbeatLEDtask(void);



#endif // _MAIN_APP_H
