/****************************************************************************************
 *
 * FileName:   main_sound_fx_synth_app.h
 *
 * File contains build options and particular def's for the application.
 *
 * =======================================================================================
 */
#ifndef _MAIN_SOUND_FX_SYNTH_APP_H
#define _MAIN_SOUND_FX_SYNTH_APP_H

// Symbol should be defined in Project Properties / GCC / Preprocessor macros.
#ifndef BUILD_SOUND_FX_SYNTH_APP
#error "Symbol BUILD_SOUND_FX_SYNTH_APP must be defined for this project!"
#endif

#include "system_def.h"
#include "Drivers/SPI_1_drv.h"
#include "sound_fx_synth.h"
#include "pcm_audio.h"

// =======================================================================================
//                       FIRMWARE VERSION NUMBER AND BUILD OPTIONS
//
#define BUILD_VER_MAJOR   1
#define BUILD_VER_MINOR   5
#define BUILD_VER_DEBUG   0
//
// =======================================================================================


void  SystemHeartbeatLEDtask(void);



#endif // _MAIN_SOUND_FX_SYNTH_APP_H
